// Copyright © 2021 React Training LLC. All rights reserved.
'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var fs = require('fs-extra');
var path = require('path');

async function installMagicExports(sourceDir) {
  let installDir = path.resolve(findClosestNodeModulesDir("remix"), "remix");
  await fs.copy(sourceDir, installDir);
}

function findClosestNodeModulesDir(packageName) {
  let dir = path.dirname(require.resolve(packageName));

  while (path.basename(dir) !== "node_modules") {
    let prevDir = dir;
    dir = path.dirname(dir);

    if (prevDir === dir) {
      throw new Error("Cannot find node_modules dir");
    }
  }

  return dir;
}

exports.installMagicExports = installMagicExports;
